Subject: AIList Digest V5 #138

From: [email-masked]@vtcs1
Date: Thu, 4 Jun 87 09:09:30 edt

Date: Wed  3 Jun 1987 20:28-PDT
From: AIList Moderator Kenneth Laws <[email-masked]>
Subject: AIList Digest   V5 #138
To: [email-masked]
Reply-to: [email-masked]
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467

AIList Digest            Thursday, 4 Jun 1987     Volume 5 : Issue 138

Today's Topics:
  Queries - Uncertainty in ART & Expert Systems for Debugging and Porting &
    Sources for June AI Expert & AAAI at Seattle &
    Common LISP on PRIME 50 & Connectionist AI Grad Schools,
  Education - AI Graduate Schools,
  Philosophy - Computational Complexity,
  Binding - Walter Bunch,
  Funding - Travel Funding,
  Education - Computer Grading and the Law,
  Theory - Linguistic Precision & Symbol Grounding

----------------------------------------------------------------------

Date: 1 Jun 87 16:02:51 GMT
From: [email-masked]  (Greg Sidebottom)
Subject: Request for information: uncertainty in ART

I am using ART (from INFERENCE) and I am interested in implementing a
mechanism for dealing with uncertainty.  I would like to hear from anybody
who has addressed this problem.

Thanks in advance
Greg

--
Greg Sidebottom, Alberta Research Council
3rd Floor, 6815 8 Street N.E.
Calgary, Alberta CANADA  T2E 7H7
(403) 297-2677

UUCP:  ...!{ubc-vision, alberta}!calgary!arcsun!greg

------------------------------

Date: 3 Jun 87 03:15:49 GMT
From: [email-masked]  (Eric Van Tassell)
Subject: Expert Systems, Debugging and Porting

Hi,
        Does anyone have any experience in building expert systems to
assist in porting large C (or any language) programs to new hardware
and OS environments? I am interested in building a system to aid in
porting and debugging a 100K line relational database and 4GL. Please
e-mail to me any info you think might be relevant. (Success, failure,
elation, bitter dejection, or utter frustration) Thanks in advance.

                        Eric Van Tassell
                        [email-masked]

------------------------------

Date: 1 Jun 87 20:52:20 GMT
From: [email-masked]  (Steve
      Rehfuss)
Subject: sources for June AI Expert

Can someone send me the source code posted for the June issue of AI Expert?
I actually just want the prolog benchmark stuff, if you happen to have it
separated out.
Sorry about this, it expired before I knew I wanted it.

Thanks,
Steve R
[email-masked]

------------------------------

Date: 3 Jun 87 10:10:00 EST
From: "LIZ_FONG" <fong@icst-ise>
Reply-to: "LIZ_FONG" <fong@icst-ise>
Subject: Information on AAAI at Seattle

Can some one send me info on AAAI at Seattle on July 13-17
E. Fong <[email-masked]>

------------------------------

Date: 3 Jun 87 18:35:56 GMT
From: [email-masked]  (Douglas Rand)
Subject: Common LISP on PRIME 50 Series

I'm interested in people's reaction to Lucid's CL on the Prime.  Are people
even aware that this exists?

Doug Rand (...!mit-eddie!primerd!doug, [email-masked])

--
Douglas Rand, Prime Computer Inc. (decvax!necntc!primerd!doug)
->  The above opinions are mine alone and are not influenced by narcotics,
    my employer,  my cat or the clothes I wear.

------------------------------

Date: 25 May 87 20:00:48 GMT
From: [email-masked]  (Brian Yamauchi)
Subject: Connectionist AI Grad Schools

I will be graduating from Carnegie-Mellon next May, with a BS in applied
math/computer science, and I am planning to attend graduate school with the
goal of a PhD in computer science.

My field of interest is artificial intelligence, specifically, connectionist
artificial intelligence.  I am currently consdiering Carnegie-Mellon, MIT,
Caltech, Stanford, UCSD, and the University of Rochester.  Are there any
other universities that I should be considering?  Are there any universities
conducting connectionist AI research that I have missed?

I would greatly appreciate any information that anyone could provide.  Also,
I would be interested in hearing any opinions about the relative merits of
the computer science graduate programs at these universities, both in
general and relative to my specific interests.

                                Thanks in advance,

                                Brian Yamauchi

Brian Yamauchi                      ARPANET:    [email-masked]
Carnegie-Mellon University
Computer Science Department

------------------------------

Date: 2 Jun 87 02:48:13 GMT
From: [email-masked]  (Takis Metaxas)
Subject: Re: Need info on grad schools with a good AI program

        From my experience, I can point out to you two schools with
some projects in AI: Brown Univ. in Prov.,RI has speciality in
natural language representation, and Carnegie-Mellon in searching.
        Good luck with the field you have chosen...

  [See back issues of AI Magazine and the SIGART Newsletter for
  descriptions of many graduate programs.  -- KIL]

------------------------------

Date: Tue, 2 Jun 87 04:43:53 EDT
From: Jim Hendler <[email-masked]>
Subject: Re: philosophy and computational complexity

I second the suggestion of the Cherniak paper.  If you want a more complete
work try
CHristopher Cherniak, Minimal Rationaliy
I believe it is MIT Press 87.

------------------------------

Date: 1 Jun 87 09:56:12 GMT
From: [email-masked]  (Walter Bunch)
Subject: Conceptual Information Research

When I made my original posting, my .signature address was incorrect. Thanks
to those who got their response to me anyway. Our address changed recently.
Sorry for the trouble.
--
Walter Bunch, Scottish HCI Centre, Ben Line Building, Edinburgh, EH1 1TN
UUCP:   [email-masked]
ARPA:   [email-masked]
JANET:  [email-masked]                            "Is that you, Dave?"

------------------------------

Date: Tue, 2 Jun 87 15:24:37 BST
From: "G. Joly" (Birkbeck) <[email-masked]>
Subject: Travel Funding.

With reference to the articles on information on financial
support to travel to Milan for IJCAI-87, the following are
possible sources of support.
(1) Royal Society (U.K. residents and Ph.D. status only).
(2) British Computer Society (members only).
(3) AI and Simulation of Behaviour (members only).
(4) AAAI (members only?).
In the case of (1) above, the passing date has already gone,
but the information may be of use in the future. Most
professional bodies seem to have some funds available to
their own members.
I am not 100% sure of all of the above, but hope this short
list is a start (does anyone have a larger collection?).

Gordon Joly,
Computer Science,
Birkbeck College,
Malet Street,
LONDON WC1E 7HX.

+44 1 631 6468

ARPA: [email-masked]
BITNET: [email-masked]
UUCP: ...!seismo!mvcax!ukc!bbk-cs!gordon

------------------------------

Date: Wed, 3 Jun 87 10:48:31 PDT
From: Neil Hunt <[email-masked]>
Subject: Re: Computer Grading and the Law

In  V5  #135,  Laurence  Leff  <[email-masked]>
makes a point about computer grading of student essays.

He proposes that using computers to grade essays on a  first
pass,  with  "some  procedure for complaints to be made to a
human being with an appropriate hearing" and that  the  com-
puter  "must  in  some way indicate how the grade was deter-
mined".

I think that he has missed the point of earlier  discussions
expressing concern over the educational consequences of hav-
ing students orient their efforts towards pleasing a machine
rather  than a human grader.  I believe that the real lesson
that students would learn in this situation, is that  it  is
much  simpler  to  write  their essays in a style that would
satisfy the mechanical grader than to  pursue  rectification
of  their  grades  by  requesting a hearing with a human. In
fact, most students would probably soon discover how to beat
the  machine at its own game, writing in a style which would
be unacceptable to a human grader, but which a machine  with
rules of a limited scope might grade highly.

The opposite side of the coin, however, as most students are
aware,  is that human graders all have their own preferences
and foibles.  Students do learn to avoid certain  techniques
and  foster  others just because their human graders seem to
dislike the former and like that latter, even if these feel-
ings are not representative of all graders. The advantage of
human involvement is that the scope of the human includes an
understanding of this very problem, thereby providing a curb
on the possibility of either  the  teacher  or  the  student
exploiting the situation too far.

Of course, the problem is a characteristic of  our  society,
as one's work is always judged by people with prejudices and
biases.  I believe that before we introduce additional  com-
puterised  agents of judgement, we should have a good under-
standing of all the problems they might pose.

This is not to say that mechanical  style  checkers  do  not
have  their  place.   Perhaps  all  students should have the
option of using such a tool before submitting their work  to
the  human  grader,  but they should be encouraged to under-
stand its limitations as well as its  strengths,  and  avoid
falling  into the trap of assuming that if the machine liked
their essay, that the intended readership  would  also  like
it.

Perhaps it is a  little  premature  to  be  considering  the
legality  of  using  computerised grading systems. I am sure
that there are many legal options available to teachers  and
graders  which  we  would not expect them to utilise if they
were not effective teaching and learning tools. I think that
the   desirability   of  using  such  an  option  should  be
established before time is wasted  debating  whether  it  is
legal.

Neil/.

These are my own opinions and not those of my employer etc.

------------------------------

Date: 2 Jun 87 00:39:52 GMT
From: [email-masked] (Laura Creighton)
Reply-to: [email-masked] (Laura Creighton)
Subject: Re: framing problems

In article <[email-masked]> [email-masked] writes:
>
>I'd like to briefly say that perhaps an even more astounding problem
>than that proposed by Stevan Harnad is that connected with the means by
>which literate, intelligent and interested persons can totally obscure
>the central core of an idea by the use of unnecessarily obtuse jargon.
>
>If we're going to discuss the more philosphical end of AI (*yes please!*),
>then we don't *have* to throw everyone else off the track by bogging
>down the chat in a maze of terms intended to have *such* a precise meaning
>as to prevent anyone but the author from truly grasping the intended meaning.

Precision is a good thing.  If one can say precisely what one means then
one will not be misunderstood.  This, alas, is a pipe dream.  There
is no way to say precisely what one means -- what one says does not
have precise meaning embedded in the words or the relationships between
the words.  Rather, one shares a linguistic context with one's
audience.  This means that the serach for precision is never ending.

Right now there are a good number of people who want to talk about
``psychic energy'' and ``interpersonal energy'' and the like.
Reguardless of what these people mean by these terms, it is clear that
they do not mean m c-squared.  The search for precision continues.
--
(C) Copyright 1987 Laura Creighton - you may redistribute only if your
    recipients may.

        ``One must pay dearly for immortality:  one has to die several
        times while alive.'' -- Nietzsche

Laura Creighton
ihnp4!hoptoad!laura  utzoo!hoptoad!laura  sun!hoptoad!laura

------------------------------

Date: 2 Jun 87 12:54:00 EST
From: [email-masked]
Reply-to: <[email-masked]>
Subject: physical invertibility and symbol grounding

S. Harnad writes:

> Now I conjecture that it is this physical invertibility -- the possibility
> of recovering all the original information -- that may be critical in
> cognitive representations. I agree that there may be information loss in
> A/A transformations (e.g., smoothing, blurring or loss of some
> dimensions of variation), but then the image is simply *not analog in
> the properties that have been lost*! It is only an analog of what it
> preserves, not what it fails to preserve.....
>
> A strong motivation for giving invertibility a central role in
> cognitive representations has to do with the second stage of A/D
> conversion: symbolization. The "symbol grounding problem" that has
> been under discussion here concerns the fact that symbol systems
> depend for their "meanings" on only one of two possibilities: One is
> an interpretation supplied by human users -- "`Squiggle' means `animal' and
> `Squoggle' means `has four legs'" -- and the other is a physical, causal
> connection with the objects to which the symbols refer. ....
>
> The reason the invertibility must be physical rather than merely
> formal or conceptual is to make sure the system is grounded rather
> than hanging by a skyhook from people's mental interpretations.

I wonder why the grounding is to depend on invertibility rather than
causation and/or resemblance?  Isn't it true that physically distinct
kinds of light (eg. #1 red-wavelength and green-wavelength vs.
#2 yellow-wavelength) can cause completely indistinguishable
sensations (ie subjective yellow)?  Is this not, then, a non-invertible,
but nonetheless grounded sensation?  When I experience something as
yellow, I have no way short of spectroscopy of knowing what the
"real" physical characteristics are of the light.  Nonetheless,
I know what "yellow" means, as do young children, scientifically
naive people, etc.

I don't have a ready-made candidate to substitute for invertibility as a
basis for symbol-grounding, although I suspect, as mentioned above,
that causation and resemblance are lurking around somewhere.
But how can invertibility serve if in fact our sensations are, in general,
not invertible?

John Cugini <[email-masked]>

------------------------------

Date: Tue, 2 Jun 87 13:48:51 pdt
From: [email-masked] (Peter Ladkin)
Subject: symbol grounding

stevan harnad writes guardedly:
> perhaps there was an element of incoherence in all but the most
> technical and restricted of signal-analytic candidates.

for the record, my suggestion was not signal-analytic, and no-one
showed any element of technical incoherence. however, it was met
with resounding uninterest, since it was a distinction from logic.
since most people want an inherent distinction, i.e. one that
maintains under translations and coding, my suspicion is still that
technical logic and complexity theory, not signal processing, is the
place to look for a solution.

peter ladkin
[email-masked]

------------------------------

End of AIList Digest
********************